## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XObject::XObjectException Class Reference

Inheritance diagram for XObject::XObjectException:

[legend]
Collaboration diagram for XObject::XObjectException:

[legend]
List of all members.

## Public Member Functions

- XObjectException (const XalanDOMString &message=XalanDOMString(XalanMemMgrs::getDummyMemMgr()), MemoryManagerType &theManager=XalanMemMgrs::getDummyMemMgr())
- XObjectException (const XObjectException &other)
- virtual ~XObjectException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Constructor & Destructor Documentation

XObject::XObjectException::XObjectException | ( | const XalanDOMString & | message = XalanDOMString(XalanMemMgrs::getDummyMemMgr()),
|  | MemoryManagerType & | theManager = XalanMemMgrs::getDummyMemMgr()
| ) | `[explicit]`

XObject::XObjectException::XObjectException | ( | const XObjectException & | other | ) |

virtual XObject::XObjectException::~XObjectException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* XObject::XObjectException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XalanXPathException. Reimplemented in XObject::XObjectInvalidConversionException.

The documentation for this class was generated from the following file:

- XObject.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.